/* $Header: /CVSROOT/md5backup/sc-include.h,v 1.2 2004/01/07 12:05:09 tino Exp $
 *
 * $Log: sc-include.h,v $
 * Revision 1.2  2004/01/07 12:05:09  tino
 * Scripts improved, some spelling corrections, and CVS headers added.
 * md5backup.c now has a sanity check which slows down things factor 10.
 *
 */
#define _GNU_SOURCE	1

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <signal.h>
#include <ctype.h>
#include <time.h>

#include <unistd.h>
#include <netdb.h>

#include <sys/stat.h>
#include <sys/time.h>

#include <sys/wait.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include <sys/fcntl.h>

#define	VERSION	"2.3"

#ifdef DEBUGGING
#include <stdarg.h>
static void
#define DP(X)	do { debugprintf X; } while (0)
debugprintf(const char *s, ...)
{
  va_list list;

  fprintf(stderr, "[");
  va_start(list, s);
  vfprintf(stderr, s, list);
  va_end(list);
  fprintf(stderr, "]\n");
}
#else
#define DP(X)	do { ; } while (0)
#endif
#define xDP(X)	do { ; } while (0)
